Subject: RE: using cat on binary files (CTRL-Z trauma)
From: [email-masked] (Stephan Mueller)

29 Oct 1996 18:05:56 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <c=US%a=_%p=msft%l=[email-masked]>
Original-To: "[email-masked]'" <[email-masked]>, "[email-masked]'"
	 <[email-masked]>
Original-Cc: "[email-masked]'" <[email-masked]>,
        "[email-masked]'"
	 <[email-masked]>,
        "[email-masked]'"
	 <[email-masked]>
X-Mailer: Microsoft Exchange Server Internet Mail Connector Version 4.0.994.56
Encoding: 36 TEXT
Original-Sender: [email-masked]

I have my suspicions about which direction that class-action suit might
be aimed, so I'd like to point out that MS-DOS inherited the in-band EOF
indicator from CP/M.  Backwards compatibility, while backwards, is
fortunately, compatible.

But before the suit changes direction towards Digital Research (which
will be hard to find :-/) I'll mention that the reason CP/M has an
in-band EOF is because its file system was more primitive than those we
have now, maintaining only a count of disk blocks for a file, and not a
count of bytes.  An application then, needed to itself know when the
actual file data ended, and this was done using the inband ^Z.  At the
time, it was a clever solution.

When it's time to get actual work done, one often finds that real users
would gladly live with the 'backward' than give up the 'compatible.'

stephan();

>-----Original Message-----
>From:	[email-masked] [SMTP:[email-masked]]
>Sent:	Tuesday, October 29, 1996 1:35 PM
>To:	[email-masked]
>Cc:	[email-masked]; [email-masked]; [email-masked]
>Subject:	Re: using cat on binary files (CTRL-Z trauma)
>
>Maybe we can file a class action suit for a few billion against the turkey
>who
>unleashed on the world a system with such fundamentally bad design decisions
>as a two-character EOL indicator and an in-band EOF indicator.
>
>-- 
><J Q B>
>
>-
>For help on using this list, send a message to
>"[email-masked]" with one line of text: "help".
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".